@ECHO OFF

::ДАННЫЕ
::путь к программе 
::set prg=C:\SvPrice\DB
set prg=.\DB
:: имя файла базы данных
set bd=Svprice.fdb
::===============================
md %prg%\bk

date /T >> %prg%\bk\backup.log

echo Удаляем старую копию backup
echo y|del %prg%\bk\bak_1.gbk >>%prg%\bk\backup.log
echo 1.deleted 2nd copy >>%prg%\bk\backup.log

echo Удаляем предыдущий лог
echo y|del %prg%\bk\gbak.log
echo y|del %prg%\bk\gres.log

echo Копируем прошлый backup в резерв
copy %prg%\bk\bak.gbk %prg%\bk\bak_1.gbk >>%prg%\bk\backup.log
echo 2.coped 2nd file >>%prg%\bk\backup.log

echo выполняем Backup
gbak.exe -b -user sysdba -password masterkey -v -y %prg%\bk\gbak.log %prg%\%bd% %prg%\bk\bak.gbk
echo 3.maked main backup >>%prg%\bk\backup.log

echo Собираем мусор в основной базе
gfix.exe -sweep -user "sysdba" -password masterkey %prg%\%bd%
echo 4.sweep comleted >>%prg%\bk\backup.log

echo 5.Restore! >>%prg%\bk\backup.log

echo Копируем базу в резерв
copy /Y %prg%\%bd% %prg%\bk\%bd% >>%prg%\bk\backup.log
echo 6.coped main file >>%prg%\bk\backup.log

echo выполняем Restore
gbak.exe -r -REP -user "sysdba" -password masterkey -v -y %prg%\bk\gres.log %prg%\bk\bak.gbk %prg%\%bd%
echo 7.maked main restore >>%prg%\bk\backup.log

echo =================== End ==================== >>%prg%\bk\backup.log
